mobileAppInstallSummary の更新

名前空間: microsoft.graph

重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

mobileAppInstallSummary オブジェクトのプロパティを更新します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校アカウント) DeviceManagementApps.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementApps.ReadWrite.All

HTTP 要求

PATCH /deviceAppManagement/mobileApps/{mobileAppId}/installSummary

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で 、mobileAppInstallSummary オブジェクトの JSON 表記を指定します。

次の表に 、mobileAppInstallSummary を作成するときに必要なプロパティを示します

プロパティ 説明
id 文字列 エンティティのキー。
installedDeviceCount Int32 このアプリが正常にインストールされたデバイスの数。
failedDeviceCount Int32 このアプリのインストールに失敗したデバイスの数。
notApplicableDeviceCount Int32 このアプリに適用できないデバイスの数。
notInstalledDeviceCount Int32 このアプリがインストールされていないデバイスの数。
pendingInstallDeviceCount Int32 このアプリのインストールを通知されたデバイスの数。
installedUserCount Int32 すべてのデバイスでこのアプリのインストールに成功したユーザーの数。
failedUserCount Int32 このアプリのインストールに失敗した 1 つ以上のデバイスを持つユーザーの数。
notApplicableUserCount Int32 このアプリに適用できないデバイスを持つユーザーの数。
notInstalledUserCount Int32 このアプリをインストールしなかった 1 つ以上のデバイスを持つユーザーの数。
pendingInstallUserCount Int32 このアプリのインストールを通知され、障害が発生したデバイスが 0 台である 1 つ以上のデバイスを持つユーザーの数。

応答

成功した場合、このメソッドは応答コードと、応答本文で 200 OK 更新された mobileAppInstallSummary オブジェクトを返します。

要求

以下は、要求の例です。

PATCH https://graph.microsoft.com/beta/deviceAppManagement/mobileApps/{mobileAppId}/installSummary
Content-type: application/json
Content-length: 374

{
  "@odata.type": "#microsoft.graph.mobileAppInstallSummary",
  "installedDeviceCount": 4,
  "failedDeviceCount": 1,
  "notApplicableDeviceCount": 8,
  "notInstalledDeviceCount": 7,
  "pendingInstallDeviceCount": 9,
  "installedUserCount": 2,
  "failedUserCount": 15,
  "notApplicableUserCount": 6,
  "notInstalledUserCount": 5,
  "pendingInstallUserCount": 7
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 423

{
  "@odata.type": "#microsoft.graph.mobileAppInstallSummary",
  "id": "06a792e9-92e9-06a7-e992-a706e992a706",
  "installedDeviceCount": 4,
  "failedDeviceCount": 1,
  "notApplicableDeviceCount": 8,
  "notInstalledDeviceCount": 7,
  "pendingInstallDeviceCount": 9,
  "installedUserCount": 2,
  "failedUserCount": 15,
  "notApplicableUserCount": 6,
  "notInstalledUserCount": 5,
  "pendingInstallUserCount": 7
}